<template>
  <div>
    <div class="titulo">
      <div class="ruta">
        <v-breadcrumbs :items="breadcrumbs" :large="false">
          <template v-slot:divider>
            <v-icon>mdi-chevron-right</v-icon>
          </template>
        </v-breadcrumbs>
      </div>
      <strong>Atención de Hallazgos</strong>
    </div>
    <div class="contSecc">
      <busqueda-resumen></busqueda-resumen>

      <div class="titSec ">Hallazgos</div>
      <div class="gris">
        <div class="divBuscador">
          <div><v-text-field v-model="search" class="buscador" append-icon="mdi-magnify"  label="Buscar..."  single-line  hide-details></v-text-field></div>
        </div>
        <v-data-table
          :headers="encabezadoHallazgos"
          :items="hallazgos"
          :page.sync="page"
          :items-per-page="itemsPerPage"
          hide-default-footer
          @page-count="pageCount = $event"
          :search="search"
          class="tblGeneral tblHallazgos"
        >
          <template v-slot:item.estatus="{ item }" >
          <div v-bind:class="{
                            borderV: item.estatus == 'Autorizado',
                            borderN: item.estatus == 'Rechazado por atender',
                            borderN__light: item.estatus == 'Por autorizar',
                            borderR: item.estatus == 'Por atender',
                          }">
                          <span class="demi">{{ item.estatus }}</span>
                          </div>
          
          </template>
          <template v-slot:item.item1="{ item }">
            <router-link to="/maquetado/hallazgos/busqueda-atencion">
              <div class="liga" >{{ item.item1 }}</div>
            </router-link>
          </template>
           <template v-slot:item.historial="{ item }">
            <router-link to="/maquetado/hallazgos/busqueda-detalle">
              <div class="liga" >{{ item.historial}}</div>
            </router-link>
          </template>
          
        </v-data-table>
        <div class="text-center pt-2">
          <v-pagination v-model="page" :length="pageCount" class="paginador"></v-pagination>
          <!-- <div class="divBuscador">
            <v-text-field  :value="itemsPerPage"  label=""  type="number"  min="-1" max="15"  @input="itemsPerPage = parseInt($event, 10)"></v-text-field>
          </div>-->
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import BusquedaResumen from '@/views/maquetado/hallazgos/busqueda-resumen'
  export default {
    name: 'busqueda-resultados',
      components: {
      BusquedaResumen,
    },
    data: () => ({
      items: ['Foo', 'Bar', 'Fizz', 'Buzz'],
      pageCount: 1,
      itemsPerPage: 10,
      search: '',
      //Paginador
      circle: false,
      disabled: false,
      length: 2,
      nextIcon: 'mdi-chevron-right',
      prevIcon: 'mdi-chevron-left',
      page: 2,
      totalVisible: 2,

      
      propiedades_footer: {
      itemsPerPageOptions: [2, 4, 5, 10]
    },
    encabezadoHallazgos: [
      { text: 'Estatus', value: 'estatus' },
      { text: 'ID', value: 'idHallazgos' },
      { text: 'Zona', value: 'zona' },
      { text: 'Protocolo', value: 'protocolo' },
      { text: 'Item', value: 'item1' },
      { text: 'Respuesta', value: 'respuesta' },
      { text: 'Historial', value: 'historial' },
    ],
      hallazgos: [
        {
          idHallazgos: 2921,
          estatus: "Por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2922,
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿La base para el tinaco de la azotea está colocada correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: "2921",
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿El tinaco y el electronivel funcionan correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2921,
          estatus: "Por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2921,
          estatus: "Rechazado por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2922,
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿La base para el tinaco de la azotea está colocada correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: "2921",
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿El tinaco y el electronivel funcionan correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2921,
          estatus: "Por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: "2921",
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿El tinaco y el electronivel funcionan correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2921,
          estatus: "Por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2921,
          estatus: "Por atender",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: 'Los extractos de la azotea están colocados correctamente? ¿Sí la respuesta es SÍ, se despliega la pregunat 385 y 386?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: 2922,
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿La base para el tinaco de la azotea está colocada correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
        {
          idHallazgos: "2921",
          estatus: "Por autorizar",
          zona: 'Áreas',
          protocolo: 'Fecha nueva versión',
          item1: '¿El tinaco y el electronivel funcionan correctamente?',
          respuesta: 'No',
          historial: 'Ver detalle',
        },
      ],
      breadcrumbs: [
        {
          text: "Plataforma de Franquicia",
          disabled: false,
          exact: true,
          to: {
            name: "home",
          },
        },
        {
          text: "Atención de hallazgos",
          disabled: false,
          exact: true,
          to: {
            name: "maquetado_hallazgos-busqueda",
          },
        },
        {
          text: "Resultado Hallazgos",
          disabled: true,
        },
      ],
      
    }),
    methods: {
      getColor (estatus) {
        if (estatus == 'Por atender') return 'red'
        else if (estatus == 'Por autorizar') return '#f19838'
        else return '#ee7c31'
      },
      verDetalle (item) {
       console.log('Entra a funcion' +item);
      },
    },
  }
</script>

<style scoped>
.buscador {margin-bottom: 20px;}
.buscador > div{ width: 34%;}
span.v-chip.theme--dark.v-size--default {
  width: 13px;
  height: 13px;
  border-radius: 50%;
  margin-right: 10px;
  padding: 0px;
}.tblGeneral tr td a.liga1 {
    text-decoration: underline;
    font-family: 'AvenirNextLTPro-Medium';
}


</style>